net.sf.jasperreports.engine.type

## Enum ResetTypeEnum

- java.lang.Object
- - java.lang.Enum<ResetTypeEnum>
  - - net.sf.jasperreports.engine.type.ResetTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResetTypeEnum>, JREnum, NamedEnum

      public enum ResetTypeEnum
      extends java.lang.Enum<ResetTypeEnum>
      implements JREnum

  Version:
    $Id: ResetTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMN` The variable is reinitialized at the beginning of each new column.
    `GROUP` The variable is reinitialized every time the group specified by the `JRVariable.getResetGroup()` method breaks.
    `NONE` The variable will never be initialized using its initial value expression and will only contain values obtained by evaluating the variable's expression.
    `PAGE` The variable is reinitialized at the beginning of each new page.
    `REPORT` The variable is initialized only once, at the beginning of the report filling process, with the value returned by the variable's initial value expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResetTypeEnum` | `getByName(java.lang.String name)`
    `static ResetTypeEnum` | `getByValue(byte value)`
    `static ResetTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static ResetTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResetTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPORT

          public static final ResetTypeEnum REPORT

      The variable is initialized only once, at the beginning of the report filling process, with the value returned by the variable's initial value expression.

    - #### PAGE

          public static final ResetTypeEnum PAGE

      The variable is reinitialized at the beginning of each new page.

    - #### COLUMN

          public static final ResetTypeEnum COLUMN

      The variable is reinitialized at the beginning of each new column.

    - #### GROUP

          public static final ResetTypeEnum GROUP

      The variable is reinitialized every time the group specified by the `JRVariable.getResetGroup()` method breaks.

    - #### NONE

          public static final ResetTypeEnum NONE

      The variable will never be initialized using its initial value expression and will only contain values obtained by evaluating the variable's expression.

  - ### Method Detail

    - #### values

          public static ResetTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResetTypeEnum c : ResetTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResetTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static ResetTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static ResetTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static ResetTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com